DROP PROCEDURE IF EXISTS INSERT_METADATA_ATTRIBUTE
;
CREATE PROCEDURE INSERT_METADATA_ATTRIBUTE(
	IN p_id varchar(255),
    IN p_MIN_OCCURS  int,
	IN p_MAX_OCCURS  int,
	IN p_IS_PRESENTATIONAL  Tinyint,
	IN p_PARENT  bigint,
	IN p_CON_ID  bigint,
	IN p_CL_ID  bigint,
	IN p_RS_ID  bigint,
	OUT p_pk  bigint)
BEGIN
	call INSERT_COMPONENT_COMMON(p_pk);
	INSERT INTO METADATA_ATTRIBUTE
           (MTD_ATTR_ID,ID,MIN_OCCURS,MAX_OCCURS,IS_PRESENTATIONAL,PARENT,CON_ID,CL_ID,RS_ID)
     VALUES
           (p_pk,p_id,p_MIN_OCCURS,p_MAX_OCCURS,p_IS_PRESENTATIONAL,p_PARENT,p_CON_ID,p_CL_ID,p_RS_ID);
	
END
;
